Skip to main content
POST
/
model-monitor
/
v2
/
api
/
{model_id}
/
dataset-jobs
Get the list of jobs associated with a model
curl --request POST \
  --url https://api.example.com/model-monitor/v2/api/{model_id}/dataset-jobs \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "start": 123,
  "end": 123,
  "pagination": {
    "page": 123,
    "size": 123
  },
  "search": "<string>",
  "filters": {
    "status": [],
    "job_type": [
      "<string>"
    ]
  }
}
'
{
  "total": 123,
  "jobs": [
    {
      "job_id": "<string>",
      "dataset_id": "<string>",
      "dataset_name": "<string>",
      "datasource_name": "<string>",
      "registered_on": 123,
      "dataset_path": "<string>",
      "errors": [
        "<string>"
      ],
      "warnings": [
        "<string>"
      ],
      "infos": [
        "<string>"
      ],
      "feature_set_details": {
        "featureSetId": "<string>",
        "featureSetVersionId": "<string>"
      },
      "actionable_insights_details": {
        "domino_job_url": "<string>",
        "domino_results_url": "<string>"
      },
      "records": 123
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required

Identifier of the model

Body

application/json

List the dataset jobs associated with a model

start
integer
required

Start Date for the Dataset range

end
integer
required

End Date for the Dataset range

pagination
Pagination Object · object
required

This is used to fetch the result in a paginated manner

Search key for dataset name

filters
Dataset Job Dashboard Filter · object

Filter keys for dataset job dashboard

Response

Gets the list of jobs for the model

total
integer
required

Total number of jobs qualified for the query sent, without pagination

jobs
Dataset Job · object[]
required

List of jobs by pagination